Package Scientific :: Package Visualization :: Module PyMOL :: Class ShapeObject

[frames] | no frames]

# Class ShapeObject

    PyMOLObject --+
                  |
                 ShapeObject

Known Subclasses:
  - Cone
  - , Cube
  - , Cylinder
  - , Line
  - , Sphere

Graphics objects representing geometrical shapes

This is an abstract base class. Use one of the subclasses to generate graphics.

Instance Methods

__add__(self, other) |

getPymolObjects(self) Returns: a list of `pymol.cgo` objects |

use(self, file) |

Inherited from `PyMOLObject`: `__copy__`, `__getitem__`, `__init__`, `__setitem__`, `writeToFile`

Class Variables
| attribute_names = ``[``'``comment``'``,` `'``material``'``]``

Method Details

### getPymolObjects(self)

Returns:
  a list of `pymol.cgo` objects
Overrides: PyMOLObject.getPymolObjects
  (inherited documentation)